
package net.mcreator.test.item;

import net.minecraftforge.registries.ForgeRegistries;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ArmorMaterial;
import net.minecraft.world.item.ArmorItem;
import net.minecraft.world.entity.EquipmentSlot;
import net.minecraft.world.entity.Entity;
import net.minecraft.sounds.SoundEvent;
import net.minecraft.resources.ResourceLocation;

import net.mcreator.test.init.KryptoniteModTabs;

public abstract class SteelItem extends ArmorItem {
	public SteelItem(EquipmentSlot slot, Item.Properties properties) {
		super(new ArmorMaterial() {
			@Override
			public int getDurabilityForSlot(EquipmentSlot slot) {
				return new int[]{13, 15, 16, 11}[slot.getIndex()] * 30;
			}

			@Override
			public int getDefenseForSlot(EquipmentSlot slot) {
				return new int[]{4, 8, 8, 3}[slot.getIndex()];
			}

			@Override
			public int getEnchantmentValue() {
				return 9;
			}

			@Override
			public SoundEvent getEquipSound() {
				return ForgeRegistries.SOUND_EVENTS.getValue(new ResourceLocation(""));
			}

			@Override
			public Ingredient getRepairIngredient() {
				return Ingredient.EMPTY;
			}

			@Override
			public String getName() {
				return "steel";
			}

			@Override
			public float getToughness() {
				return 2.5f;
			}

			@Override
			public float getKnockbackResistance() {
				return 1f;
			}
		}, slot, properties);
	}

	public static class Helmet extends SteelItem {
		public Helmet() {
			super(EquipmentSlot.HEAD, new Item.Properties().tab(KryptoniteModTabs.TAB_STEELTAB));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "kryptonite:textures/models/armor/steelarmour_layer_1.png";
		}
	}

	public static class Chestplate extends SteelItem {
		public Chestplate() {
			super(EquipmentSlot.CHEST, new Item.Properties().tab(KryptoniteModTabs.TAB_STEELTAB));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "kryptonite:textures/models/armor/steelarmour_layer_1.png";
		}
	}

	public static class Leggings extends SteelItem {
		public Leggings() {
			super(EquipmentSlot.LEGS, new Item.Properties().tab(KryptoniteModTabs.TAB_STEELTAB));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "kryptonite:textures/models/armor/steelarmour_layer_2.png";
		}
	}

	public static class Boots extends SteelItem {
		public Boots() {
			super(EquipmentSlot.FEET, new Item.Properties().tab(KryptoniteModTabs.TAB_STEELTAB));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "kryptonite:textures/models/armor/steelarmour_layer_1.png";
		}
	}
}
